Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.nbt
Class NBTTagIntArray

    java.lang.Object
      net.minecraft.nbt.NBTBase
          net.minecraft.nbt.NBTTagIntArray

    public class NBTTagIntArray

extends NBTBase

Field Summary
`int[]` | `intArray` The array of saved integers

Fields inherited from class net.minecraft.nbt.NBTBase
`NBTTypes`

Constructor Summary
`NBTTagIntArray(String par1Str)`
`NBTTagIntArray(String par1Str, int[] par2ArrayOfInteger)`

Method Summary
`NBTBase` | `copy()` Creates a clone of the tag.
`boolean` | `equals(Object par1Obj)`
`byte` | `getId()` Gets the type byte for the tag.
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class net.minecraft.nbt.NBTBase
`getName, getTagName, newTag, readNamedTag, setName, writeNamedTag`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### intArray

    public int[] intArray

  The array of saved integers

Constructor Detail

### NBTTagIntArray

    public NBTTagIntArray(String par1Str)

### NBTTagIntArray

    public NBTTagIntArray(String par1Str,
                          int[] par2ArrayOfInteger)

Method Detail

### getId

    public byte getId()

  Gets the type byte for the tag.

  Specified by:
    `getId` in class `NBTBase`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### copy

    public NBTBase copy()

  Creates a clone of the tag.

  Specified by:
    `copy` in class `NBTBase`

### equals

    public boolean equals(Object par1Obj)

  Overrides:
    `equals` in class `NBTBase`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `NBTBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD